[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetSysColors

Sets the colors for one or more display elements of window borders and desktop.

## Declaration

Source position: winapih.inc line 260

`public function TWidgetSet.SetSysColors(`
`cElements: Integer;`
`const lpaElements;`
`const lpaRgbValues`
`):Boolean; virtual;`

## Arguments

`cElements` |  | The number of colors to change, size of the arrays.
`lpaElements` |  | Array of element identifiers.
`lpaRgbValues` |  | Array of RGB colors.

## Function result

False on failure.

## See also

GetSysColor |  | Retrieves the system color for standard display elements.